Get a Cloud Connected cluster
- Base URL
-
https://api.elastic-cloud.com
-
GET
/api/v1/cloud-connected/clusters/{id}
Auth
Get a Cloud Connected cluster by its identifier.
-
id
string · pattern: ^[a-z0-9]{32}$
required
-
The ID of the Cloud Connected cluster
The requested Cloud Connected cluster
application/json
-
id
string · pattern: ^[a-z0-9]{32}$
required
-
ID of the Cloud Connected cluster.
-
name
string · max length: 255
required
-
Descriptive name for a Cloud Connected cluster.
-
metadata
object
required
-
Additional details about the Cloud Connected cluster.
-
-
self_managed_cluster
object
required
-
A self-managed cluster.
-
-
id
string
required
-
ID of the self-managed cluster.
-
name
string
required
-
Descriptive name for a self managed cluster.
-
version
string
required
-
The version of the self-managed cluster.
-
license
object
required
-
The license of the self-managed cluster
-
-
type
enum
required
-
The type of the self-managed cluster license.
-
Values:
trial
basic
standard
dev
silver
gold
platinum
enterprise
-
uid
string
required
-
The unique identifier of the self-managed cluster license.
-
services
object
required
-
A list of Cloud services that can be enabled for a cluster.
-
-
auto_ops
object
required
-
Information about the state and configuration for the AutoOps service
-
-
enabled
boolean
required
-
whether the AutoOps service is enabled for the cluster
-
support
object
required
-
Information about whether a service is supported for a cluster
-
-
supported
boolean
required
-
whether the service can be enabled for the cluster
-
valid_license_types
enum[]
required
-
list of license types that support the service.
-
Values:
trial
basic
standard
dev
silver
gold
platinum
enterprise
-
minimum_stack_version
string
required
-
minimum stack version that supports the service.
-
config
object
-
Configuration for the AutoOps service
-
-
region_id
string
required
-
Unique human-readable identifier for a region in Elastic Cloud.
-
metadata
object
required
-
Metadata information for the AutoOps service, including documentation and service URLs
-
-
subscription
object
required
-
Subscription requirements for a service.
-
-
required
boolean
required
-
Whether a subscription is required for this service.
-
eis
object
required
-
Information about the state and configuration for the EIS service
-
-
enabled
boolean
required
-
whether the EIS service is enabled for the cluster
-
support
object
required
-
Information about whether a service is supported for a cluster
-
-
supported
boolean
required
-
whether the service can be enabled for the cluster
-
valid_license_types
enum[]
required
-
list of license types that support the service.
-
Values:
trial
basic
standard
dev
silver
gold
platinum
enterprise
-
minimum_stack_version
string
required
-
minimum stack version that supports the service.
-
metadata
object
required
-
Base metadata information for a service, including documentation URL
-
-
subscription
object
required
-
Subscription requirements for a service.
-
-
required
boolean
required
-
Whether a subscription is required for this service.
-
errors
object[]
required
-
-
message
string
required
-
A human-readable message of the error.
-
code
string
required
-
An identifier for this type of error.
-
errors
object[]
required
-
-
message
string
required
-
A human-readable message of the error.
-
code
string
required
-
An identifier for this type of error.
-
errors
object[]
required
-
-
message
string
required
-
A human-readable message of the error.
-
code
string
required
-
An identifier for this type of error.